{"openapi":"3.0.1","servers":[{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/b7244/4-sail_api/1.0"}],"info":{"title":"4sailAPI","version":"1.0"},"paths":{"/Application":{"get":{"tags":["Application"],"responses":{"200":{"description":"Success"}}}},"/articles/{key}":{"get":{"tags":["Articles"],"summary":"Get topic feed","parameters":[{"name":"key","in":"path","required":true,"schema":{"type":"string","nullable":true},"example":"general"},{"name":"from","in":"query","schema":{"type":"string","format":"date-time","nullable":true}},{"name":"till","in":"query","schema":{"type":"string","format":"date-time","nullable":true}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FeedItem"}},"example":[{"header":"Pohar mesta neratovice","summary":"asdfkoopoaksdfop asdfok powkefopjwe pfjoief oiasnofweunf iuwqenifu newiuf qwenf nwe sadf","objectReference":"/article/general/1"},{"header":"Posledni zavod 2020","summary":"Posledni zavod asdfwfpof 23fio 23fnso1e 21e kasdf. 21e sdfa sdfsad . fasd fs df23fsadfoi hsofn21orin","objectReference":"/article/general/2"}]}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}},"/articles/{topic}":{"post":{"tags":["Articles"],"summary":"Add article to topic","parameters":[{"name":"topic","in":"path","required":true,"schema":{"type":"string","nullable":true}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ArticleDraft"}},"text/json":{"schema":{"$ref":"#/components/schemas/ArticleDraft"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/ArticleDraft"}}}},"responses":{"201":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Article"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}},"put":{"tags":["Articles"],"parameters":[{"name":"topic","in":"path","required":true,"schema":{"type":"string","nullable":true}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ArticleDraft"}},"text/json":{"schema":{"$ref":"#/components/schemas/ArticleDraft"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/ArticleDraft"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Article"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}},"/articles/{topic}/{articleId}":{"get":{"tags":["Articles"],"parameters":[{"name":"topic","in":"path","required":true,"schema":{"type":"string","nullable":true}},{"name":"articleId","in":"path","required":true,"schema":{"type":"string","nullable":true}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Article"},"example":{"articleId":"asdf-ewrfdsaf-wf-fewfwe-fwef","title":"Article asdf test","topicIdentifier":"general","summary":"loasdf sdf qwef sdfasdf asdwef ef wfwefwef ","contentType":"application/html","isApproved":false,"createdAt":"2020-05-11T10:00:00","lastChangedAt":"2020-05-11T10:00:00","authorUserId":"asdfo-asdf-asdf-asdf","content":"<div class=\"WordSection1\"> <p class=\"MsoNoSpacing\"><i>1.<span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span></i><i>Každý den je rozdělen na hodiny pro neobjednané a hodiny pro objednané.</i></p>\n<p class=\"MsoNoSpacing\">-<span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span><i>Veškeré prohlídky preventivní, předoperační vyšetření, pracovnělékařské prohlídky do práce, k&nbsp;řidičskému a zbrojnímu průkazu, důchody, lázně, „razítka“ do práce - budou POUZE NA OBJEDNÁNÍ.</i></p>\n<p class=\"MsoNoSpacing\">-<span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span><i>Objednává se telefonicky nebo přímo v&nbsp;ordinaci, možné i objednání v&nbsp;týž den, pokud je místo </i></p>\n<p class=\"MsoNoSpacing\"><i>Těmito opatřeními chceme zkrátit vaši čekací dobu v&nbsp;ordinaci, aby se nestávalo, že nás mezi akutními pacienty zdrží komplikovaná celková prohlídka, která zabere hodně času.</i></p>\n<p class=\"MsoNoSpacing\"><i>Doufáme, že takto odlehčíme čekání v&nbsp;naší čekárně k&nbsp;spokojenosti všech a že budete nová pravidla respektovat.</i></p>\n<p class=\"MsoNoSpacing\"><i>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <b>Tato telefonní čísla fungují&nbsp; v ordinačních hodinách</b>.</i></p>\n<p class=\"MsoNoSpacing\"><i>&nbsp;</i></p>\n<p class=\"MsoNoSpacing\"><i>3.<span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span></i><i>Pacienti, kteří mají pouze požadavky na předpis léků, předávají svoje požadavky zdravotní sestře s údaji o počtu balení léků a síle přípravku během ordinačních hodin pokud možno den předem. Prosíme je, aby si se setrou domluvili vyzvednutí nejlépe na konci ordinační doby. Požadavky není možno plnit vždy na počkání, přednost má vyšetřovaný pacient.</i></p>\n<p class=\"MsoNoSpacing\"><i>&nbsp;</i></p>\n<p class=\"MsoNoSpacing\"><i>4.<span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span></i><i>Připomínáme, že administrativní práce – výpisy, pojistky apod. zpracováváme mimo ordinační hodiny</i></p>\n<p class=\"MsoNoSpacing\"><i>5.<span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span></i><i>Ceník výkonů nehrazených pojišťovnou je vyvěšen v&nbsp;čekárně.<a></a></i></p>\n</div>"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}},"/articles/by-path/{path}":{"get":{"tags":["Articles"],"parameters":[{"name":"path","in":"path","required":true,"schema":{"$ref":"#/components/schemas/PathString"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StringStringValueTuple"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}},"/articles/{topic}/{articleId}/approve":{"post":{"tags":["Articles"],"parameters":[{"name":"topic","in":"path","required":true,"schema":{"type":"string","nullable":true}},{"name":"articleId","in":"path","required":true,"schema":{"type":"string","nullable":true}}],"responses":{"204":{"description":"Success"},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}},"/threads/{objectPath}/{threadId}":{"get":{"tags":["ThreadMessages"],"parameters":[{"name":"objectPath","in":"path","required":true,"schema":{"type":"string","nullable":false}},{"name":"threadId","in":"path","required":true,"schema":{"type":"string","nullable":true}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ThreadMessage"}},"example":[{"authorUserId":"1","createdAt":"2020-05-11T10:00:00","lastModifiedAt":"2020-05-11T10:00:00","hasSubThreads":true,"threadMessageId":"asdf-111","contentType":"text/plain","content":"Some text.. Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat."},{"authorUserId":1,"createdAt":"2020-05-11T10:00:00","lastModifiedAt":"2020-05-11T10:00:00","contentType":"text/plain","content":"Some text.. Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat."},{"authorUserId":1,"createdAt":"2020-05-11T10:00:00","lastModifiedAt":"2020-05-11T10:00:00","contentType":"text/plain","content":"Some text.. Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat."},{"authorUserId":1,"createdAt":"2020-05-11T10:00:00","lastModifiedAt":"2020-05-11T10:00:00","contentType":"text/plain","content":"Some text.. Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat."}]}}}}},"post":{"tags":["ThreadMessages"],"parameters":[{"name":"objectPath","in":"path","required":true,"schema":{"type":"string","nullable":false}},{"name":"threadId","in":"path","required":true,"schema":{"type":"string","nullable":true}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ThreadMessage"}},"text/json":{"schema":{"$ref":"#/components/schemas/ThreadMessage"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/ThreadMessage"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ThreadMessage"}}}}}},"put":{"tags":["ThreadMessages"],"parameters":[{"name":"objectPath","in":"path","required":true,"schema":{"type":"string","nullable":false}},{"name":"threadId","in":"path","required":true,"schema":{"type":"string","nullable":true}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ThreadMessage"}},"text/json":{"schema":{"$ref":"#/components/schemas/ThreadMessage"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/ThreadMessage"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ThreadMessage"}}}}}}},"/threads/{objectPath}/{threadId}/{messageId}":{"delete":{"tags":["ThreadMessages"],"parameters":[{"name":"objectPath","in":"path","required":true,"schema":{"type":"string","nullable":true}},{"name":"threadId","in":"path","required":true,"schema":{"type":"string","nullable":true}},{"name":"messageId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/threads/feed":{"get":{"tags":["Threads"],"parameters":[{"name":"key","in":"query","schema":{"type":"string","nullable":true}},{"name":"from","in":"query","schema":{"type":"string","format":"date-time","nullable":true}},{"name":"till","in":"query","schema":{"type":"string","format":"date-time","nullable":true}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FeedItem"}}}}}}}},"/threads":{"get":{"tags":["Threads"],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ThreadReference"}}}}}}}},"/threads/objects/{objectPath}/id":{"get":{"tags":["Threads"],"parameters":[{"name":"objectPath","in":"path","required":true,"schema":{"type":"string","nullable":false,"format":"uri"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ThreadReference"}},"example":[{"objectPath":"articles/general/asdf-asdf","threadId":"asdfwef-wefsdf-sadf"},{"objectPath":"articles/general/asdf-asdf","threadId":"private-asdfwef-wefsdf-sadf"}]}}}}}},"/threads/objects/{objectPath}":{"post":{"tags":["Threads"],"description":"Create thread for objectPath","parameters":[{"name":"objectPath","in":"path","required":true,"schema":{"type":"string","nullable":true}}],"responses":{"200":{"description":"Success"}}}},"/topic/{topicIdentifier}/members":{"get":{"tags":["TopicMembers"],"parameters":[{"name":"topicIdentifier","in":"path","required":true,"schema":{"type":"string","nullable":true}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TopicMemberInfo"}}}}}}},"post":{"tags":["TopicMembers"],"parameters":[{"name":"topicIdentifier","in":"path","required":true,"schema":{"type":"string","nullable":true}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TopicMemberInfo"}},"text/json":{"schema":{"$ref":"#/components/schemas/TopicMemberInfo"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/TopicMemberInfo"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TopicMemberInfo"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}},"/Feeder/{objectType}":{"get":{"tags":["Articles"],"parameters":[{"name":"objectType","in":"path","required":true,"schema":{"type":"string","nullable":true},"example":"articles"},{"name":"from","in":"query","schema":{"type":"string","format":"date-time","nullable":true}},{"name":"till","in":"query","schema":{"type":"string","format":"date-time","nullable":true}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FeedItem"}},"example":[{"header":"Pohar mesta neratovice","summary":"asdfkoopoaksdfop asdfok powkefopjwe pfjoief oiasnofweunf iuwqenifu newiuf qwenf nwe sadf","objectReference":"/article/general/1"},{"header":"Posledni zavod 2020","summary":"Posledni zavod asdfwfpof 23fio 23fnso1e 21e kasdf. 21e sdfa sdfsad . fasd fs df23fsadfoi hsofn21orin","objectReference":"/articles/general/2"}]}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"PathString":{"type":"string"},"FeedItem":{"type":"object","properties":{"objectReference":{"$ref":"#/components/schemas/PathString"},"header":{"type":"string","nullable":true},"summary":{"type":"string","nullable":true}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}},"ArticleContentType":{"enum":[0,1,2],"type":"integer","format":"int32"},"ArticleDraft":{"type":"object","properties":{"articleId":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"summary":{"type":"string","nullable":true},"content":{"type":"string","nullable":true},"contentType":{"$ref":"#/components/schemas/ArticleContentType"}},"additionalProperties":false},"Article":{"type":"object","properties":{"articleId":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"summary":{"type":"string","nullable":true},"content":{"type":"string","nullable":true},"contentType":{"$ref":"#/components/schemas/ArticleContentType"},"topicIdentifier":{"type":"string","nullable":true},"isApproved":{"type":"boolean"},"authorUserId":{"type":"string","nullable":true},"createdAt":{"type":"string","format":"timestamp"},"lastChangedAt":{"type":"string","format":"timestamp"}},"additionalProperties":false},"StringStringValueTuple":{"type":"object","additionalProperties":false},"ThreadMessage":{"type":"object","properties":{"threadMessageId":{"type":"string","format":"uuid","nullable":true},"createdAt":{"type":"string","format":"date-time"},"lastModifiedAt":{"type":"string","format":"date-time"},"authorUserId":{"type":"string","nullable":false},"hasSubThreads":{"type":"boolean"},"content":{"type":"string","nullable":true},"contentType":{"type":"string","nullable":false}},"additionalProperties":false},"ThreadReference":{"type":"object","properties":{"objectPath":{"type":"string","nullable":false},"threadId":{"type":"string","nullable":false}},"required":["objectPath","threadId"],"additionalProperties":false},"Membership":{"enum":[0,1,2,3],"type":"integer","format":"int32"},"TopicMemberInfo":{"type":"object","properties":{"userId":{"type":"string","nullable":true},"membership":{"$ref":"#/components/schemas/Membership"}},"additionalProperties":false},"TopicType":{"enum":[0,1,2,3],"type":"integer","format":"int32"},"Topic":{"type":"object","properties":{"topicId":{"type":"string","nullable":true},"identifier":{"type":"string","nullable":true},"type":{"$ref":"#/components/schemas/TopicType"}},"additionalProperties":false}}}}